/[gentoo-x86]/net-libs/libproxy/ChangeLog
Gentoo

Contents of /net-libs/libproxy/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.124 - (show annotations) (download)
Tue Jun 9 12:25:43 2015 UTC (5 years, 5 months ago) by mrueg
Branch: MAIN
CVS Tags: HEAD
Changes since 1.123: +7 -1 lines
Remove old.

(Portage version: 2.2.20/cvs/Linux x86_64, signed Manifest commit with key )

1 # ChangeLog for net-libs/libproxy
2 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
3 # $Header: /var/cvsroot/gentoo-x86/net-libs/libproxy/ChangeLog,v 1.123 2015/04/08 18:04:58 mgorny Exp $
4
5 09 Jun 2015; Manuel Rüger <mrueg@gentoo.org>
6 -files/libproxy-0.4.10-cmake-2.8.10.patch,
7 -files/libproxy-0.4.10-mozjs185.pc.patch, -libproxy-0.4.10-r1.ebuild,
8 -libproxy-0.4.11-r1.ebuild, -libproxy-0.4.11.ebuild:
9 Remove old.
10
11 08 Apr 2015; Michał Górny <mgorny@gentoo.org> libproxy-0.4.11-r1.ebuild,
12 libproxy-0.4.11-r2.ebuild:
13 Drop old Python implementations
14
15 29 Nov 2014; Andreas K. Huettel <dilfridge@gentoo.org>
16 libproxy-0.4.11-r1.ebuild, libproxy-0.4.11-r2.ebuild:
17 Add slot operator in Perl dependency, since the library links to libperl
18
19 15 Sep 2014; Agostino Sarubbo <ago@gentoo.org> libproxy-0.4.11-r2.ebuild:
20 Stable for sparc, wrt bug #512012
21
22 25 Aug 2014; Agostino Sarubbo <ago@gentoo.org> libproxy-0.4.11-r2.ebuild:
23 Stable for alpha, wrt bug #512012
24
25 23 Aug 2014; Agostino Sarubbo <ago@gentoo.org> libproxy-0.4.11-r2.ebuild:
26 Stable for ia64, wrt bug #512012
27
28 21 Aug 2014; Agostino Sarubbo <ago@gentoo.org> libproxy-0.4.11-r2.ebuild:
29 Stable for ppc64, wrt bug #512012
30
31 23 Jul 2014; Agostino Sarubbo <ago@gentoo.org> libproxy-0.4.11-r2.ebuild:
32 Stable for x86, wrt bug #512012
33
34 13 Jul 2014; Agostino Sarubbo <ago@gentoo.org> libproxy-0.4.11-r2.ebuild:
35 Stable for ppc, wrt bug #516190
36
37 11 Jul 2014; Markus Meier <maekke@gentoo.org> libproxy-0.4.11-r2.ebuild:
38 arm stable, bug #516190
39
40 09 Jul 2014; Mikle Kolyada <zlogene@gentoo.org> libproxy-0.4.11-r2.ebuild:
41 amd64 stable wrt bug #516190
42
43 06 Jul 2014; Jeroen Roovers <jer@gentoo.org> libproxy-0.4.11-r2.ebuild:
44 Stable for HPPA (bug #516190).
45
46 24 Jun 2014; Michał Górny <mgorny@gentoo.org> libproxy-0.4.11-r2.ebuild:
47 Lower dev-libs/glib dep to first known EAPI=5 version, requested by Funtoo for
48 GNOME 3.6.
49
50 18 Jun 2014; Michał Górny <mgorny@gentoo.org> libproxy-0.4.11-r2.ebuild:
51 Update dependencies to require guaranteed EAPI=5 or multilib ebuilds, bug
52 #513718.
53
54 *libproxy-0.4.11-r2 (08 Jun 2014)
55
56 08 Jun 2014; Michał Górny <mgorny@gentoo.org> +libproxy-0.4.11-r2.ebuild:
57 Enable multilib support, as dependency of net-libs/glib-networking.
58
59 22 Feb 2014; Pacho Ramos <pacho@gentoo.org> libproxy-0.4.11-r1.ebuild:
60 Fix wrong commit, bug 502160
61
62 22 Feb 2014; Pacho Ramos <pacho@gentoo.org> libproxy-0.4.11-r1.ebuild:
63 arch stable, bug 888
64
65 08 Dec 2013; Pacho Ramos <pacho@gentoo.org> libproxy-0.4.11-r1.ebuild:
66 x86 stable, bug #478252
67
68 30 Nov 2013; Pacho Ramos <pacho@gentoo.org> libproxy-0.4.11-r1.ebuild:
69 amd64 stable, bug #478252
70
71 14 Nov 2013; Matt Turner <mattst88@gentoo.org> libproxy-0.4.11-r1.ebuild:
72 alpha stable, bug 476364.
73
74 24 Oct 2013; Jeroen Roovers <jer@gentoo.org> libproxy-0.4.11-r1.ebuild:
75 Stable for HPPA (bug #476364).
76
77 17 Oct 2013; Markus Meier <maekke@gentoo.org> libproxy-0.4.11-r1.ebuild:
78 arm stable, bug #476364
79
80 09 Aug 2013; Ian Stakenvicius <axs@gentoo.org> libproxy-0.4.10-r1.ebuild,
81 libproxy-0.4.11-r1.ebuild, libproxy-0.4.11.ebuild:
82 Adjusted deps for dev-lang/spidermonkey to ensure SLOT=0
83
84 30 Jun 2013; Justin Lecher <jlec@gentoo.org> libproxy-0.4.11-r1.ebuild,
85 metadata.xml:
86 Fix usage of python-r1.eclass
87
88 *libproxy-0.4.11-r1 (30 Apr 2013)
89
90 30 Apr 2013; Alexandre Rostovtsev <tetromino@gentoo.org>
91 -libproxy-0.4.6-r3.ebuild, -libproxy-0.4.7.ebuild, -libproxy-0.4.10.ebuild,
92 libproxy-0.4.10-r1.ebuild, libproxy-0.4.11.ebuild,
93 +libproxy-0.4.11-r1.ebuild, -files/libproxy-0.4.6-backports.patch,
94 -files/libproxy-0.4.6-flags-mixing.patch,
95 -files/libproxy-0.4.6-mozjs-link_directory.patch,
96 -files/libproxy-0.4.6-xulrunner-2.patch, -files/libproxy-0.4.7-gcc-4.7.patch,
97 +files/libproxy-0.4.11-avoid-nm-build-dep.patch:
98 Update to EAPI5 and python-r1.eclass. Drop obsolete versions. Add patch to
99 avoid build-time dependency on networkmanager to fix a dependency loop (bug
100 #467696, thanks to Ling Kun).
101
102 *libproxy-0.4.11 (25 Mar 2013)
103
104 25 Mar 2013; Christoph Junghans <ottxor@gentoo.org>
105 +files/libproxy-0.4.11-macosx.patch, +files/libproxy-0.4.11-mozjs.pc.patch,
106 +libproxy-0.4.11.ebuild:
107 version bump (bug #447986), prefix support (bug #461294) and support for
108 spidermonkey-1.8.7 (bug #440640)
109
110 25 Feb 2013; Zac Medico <zmedico@gentoo.org> libproxy-0.4.10-r1.ebuild:
111 Add ~arm-linux keyword.
112
113 26 Nov 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
114 libproxy-0.4.10-r1.ebuild, +files/libproxy-0.4.10-cmake-2.8.10.patch:
115 Fix build failure with USE=mono and >=cmake-2.8.10 (bug #444204, thanks to
116 onip and Chris Reffett).
117
118 25 Nov 2012; Raúl Porcel <armin76@gentoo.org> libproxy-0.4.10-r1.ebuild:
119 ia64/sh/sparc stable wrt #442152
120
121 21 Nov 2012; Markus Meier <maekke@gentoo.org> libproxy-0.4.10-r1.ebuild:
122 arm stable, bug #439122
123
124 21 Nov 2012; Agostino Sarubbo <ago@gentoo.org> libproxy-0.4.10-r1.ebuild:
125 Stable for x86, wrt bug #439122
126
127 27 Oct 2012; Jeroen Roovers <jer@gentoo.org> libproxy-0.4.10-r1.ebuild:
128 Stable for HPPA (bug #439122).
129
130 27 Oct 2012; Anthony G. Basile <blueness@gentoo.org>
131 libproxy-0.4.10-r1.ebuild:
132 stable ppc ppc64, bug #439122
133
134 27 Oct 2012; Tobias Klausmann <klausman@gentoo.org>
135 libproxy-0.4.10-r1.ebuild:
136 Stable on alpha, bug #438146
137
138 24 Oct 2012; Agostino Sarubbo <ago@gentoo.org> libproxy-0.4.10-r1.ebuild:
139 Stable for amd64, wrt bug #439122
140
141 21 Oct 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
142 libproxy-0.4.10.ebuild, +libproxy-0.4.10-r1.ebuild:
143 Undo previous commit, re-add 0.4.10-r1: as pointed out by Chris Reffett,
144 adding the automoc dependency can change the set of installed files due to no
145 longer silently failing to build the kde plugin.
146
147 21 Oct 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
148 libproxy-0.4.10.ebuild, -libproxy-0.4.10-r1.ebuild:
149 Add the automoc dependency to 0.4.10, make it conditional on USE=kde, remove
150 0.4.10-r1 ebuild since it differs from 0.4.10 only in the dependency list.
151
152 *libproxy-0.4.10-r1 (21 Oct 2012)
153
154 21 Oct 2012; Chris Reffett <creffett@gentoo.org> +libproxy-0.4.10-r1.ebuild:
155 Add automoc to DEPEND per bug 438714
156
157 19 Oct 2012; Andreas Schuerch <nativemad@gentoo.org> libproxy-0.4.10.ebuild:
158 x86 stable, see bug 438146
159
160 18 Oct 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
161 libproxy-0.4.10.ebuild, metadata.xml:
162 Turns out we shouldn't enable webkit by default, it creates a dependency
163 loop: libproxy[webkit] -> webkit-gtk -> libsoup -> glib-networking[libproxy]
164 -> libproxy.
165
166 17 Oct 2012; Markus Meier <maekke@gentoo.org> libproxy-0.4.10.ebuild:
167 arm stable, bug #438146
168
169 17 Oct 2012; Jeroen Roovers <jer@gentoo.org> libproxy-0.4.10.ebuild:
170 Stable for HPPA (bug #438146).
171
172 17 Oct 2012; Agostino Sarubbo <ago@gentoo.org> libproxy-0.4.10.ebuild:
173 Stable for amd64, wrt bug #438146
174
175 17 Oct 2012; Anthony G. Basile <blueness@gentoo.org> libproxy-0.4.10.ebuild:
176 stable ppc ppc64, bug #438146
177
178 *libproxy-0.4.10 (16 Oct 2012)
179
180 16 Oct 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
181 libproxy-0.4.6-r3.ebuild, libproxy-0.4.7.ebuild, +libproxy-0.4.10.ebuild,
182 +files/libproxy-0.4.10-disable-pac-test.patch,
183 +files/libproxy-0.4.10-mozjs185.pc.patch, metadata.xml:
184 Version bump; fixes buffer overflow (bug #438146, CVE-2012-4504, thanks to
185 Agostino Sarubbo). Re-add USE=webkit since it now works correctly (bug
186 #412573, thanks to Lucian Muresan) and it enable by default to provide PAC
187 and WPAD support. Alternatively, spidermonkey could be used for PAC instead
188 (but might lead to firefox crashes, see bug #373397). Update license.
189
190 26 May 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
191 libproxy-0.4.7.ebuild, +files/libproxy-0.4.7-gcc-4.7.patch:
192 Fix building with gcc-4.7 (bug #412363, thanks to Alphat-PC, Philipp Richter
193 et al.)
194
195 05 May 2012; Jeff Horelick <jdhore@gentoo.org> libproxy-0.4.6-r3.ebuild,
196 libproxy-0.4.7.ebuild:
197 dev-util/pkgconfig -> virtual/pkgconfig
198
199 01 Feb 2012; Samuli Suominen <ssuominen@gentoo.org> libproxy-0.4.7.ebuild:
200 ppc64 stable wrt #394363
201
202 30 Jan 2012; Nirbheek Chauhan <nirbheek@gentoo.org> libproxy-0.4.7.ebuild:
203 Add note about bug 373397 so it doesn't get forgotten
204
205 10 Jan 2012; Brent Baude <ranger@gentoo.org> libproxy-0.4.7.ebuild:
206 Marking libproxy-0.4.7 ppc for bug 394363
207
208 01 Jan 2012; Raúl Porcel <armin76@gentoo.org> libproxy-0.4.7.ebuild:
209 alpha/ia64/sh/sparc stable wrt #394363
210
211 26 Dec 2011; Markus Meier <maekke@gentoo.org> libproxy-0.4.7.ebuild:
212 x86 stable, bug #394363
213
214 18 Dec 2011; Markus Meier <maekke@gentoo.org> libproxy-0.4.7.ebuild:
215 arm stable, bug #394363
216
217 15 Dec 2011; Agostino Sarubbo <ago@gentoo.org> libproxy-0.4.7.ebuild:
218 Stable for AMD64, wrt bug #394363
219
220 12 Dec 2011; Jeroen Roovers <jer@gentoo.org> libproxy-0.4.7.ebuild:
221 Stable for HPPA (bug #394363).
222
223 *libproxy-0.4.7 (18 Oct 2011)
224
225 18 Oct 2011; Pacho Ramos <pacho@gentoo.org> +libproxy-0.4.7.ebuild,
226 -libproxy-0.4.6.ebuild, metadata.xml:
227 Version bump, remove old.
228
229 06 Aug 2011; Zac Medico <zmedico@gentoo.org> libproxy-0.4.6-r3.ebuild:
230 Add ~x86-linux keyword.
231
232 31 Jul 2011; Jeroen Roovers <jer@gentoo.org> libproxy-0.4.6-r3.ebuild:
233 Stable for HPPA (bug #372813).
234
235 28 Jul 2011; Pacho Ramos <pacho@gentoo.org> -libproxy-0.4.6-r2.ebuild:
236 Remove old.
237
238 24 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> libproxy-0.4.6-r3.ebuild:
239 ppc/ppc64 stable wrt #372813
240
241 23 Jul 2011; Raúl Porcel <armin76@gentoo.org> libproxy-0.4.6-r3.ebuild:
242 alpha/ia64/sh/sparc stable wrt #372813
243
244 23 Jul 2011; Markus Meier <maekke@gentoo.org> libproxy-0.4.6-r3.ebuild:
245 arm stable, bug #372813
246
247 17 Jul 2011; Markus Meier <maekke@gentoo.org> libproxy-0.4.6-r3.ebuild:
248 x86 stable, bug #372813
249
250 16 Jul 2011; Nirbheek Chauhan <nirbheek@gentoo.org> libproxy-0.4.6-r3.ebuild:
251 Always install the vapi file since it needs no deps and is only 333 bytes in
252 size. See bug 372813.
253
254 14 Jul 2011; Pacho Ramos <pacho@gentoo.org> libproxy-0.4.6-r3.ebuild:
255 amd64 stable, bug #372813
256
257 09 Jul 2011; Matt Turner <mattst88@gentoo.org> libproxy-0.4.6-r3.ebuild:
258 Added ~mips, bug 365331
259
260 *libproxy-0.4.6-r3 (05 Jun 2011)
261
262 05 Jun 2011; Pacho Ramos <pacho@gentoo.org> +libproxy-0.4.6-r3.ebuild,
263 +files/libproxy-0.4.6-backports.patch,
264 +files/libproxy-0.4.6-flags-mixing.patch:
265 Revision bump disabling webkit support as it causes problems like bug #366791
266 (we will be able to recover this with webkit-1.6), do the same for xulrunner
267 support because of important problems like bug #360893 giving unresolved
268 symbols due problems to use proper mozjs. Thanks a lot to Nirbheek for his
269 assistance with this. Also include and old upstream patch to stop mixing
270 CFLAGS and CXXFLAGS (bug #338125 by Justin Lecher) and an opensuse patch
271 including some more fixes from upstream.
272
273 *libproxy-0.4.6-r2 (27 Mar 2011)
274
275 27 Mar 2011; Samuli Suominen <ssuominen@gentoo.org> +libproxy-0.4.6-r2.ebuild,
276 +files/libproxy-0.4.6-xulrunner-2.patch:
277 Fix building with net-libs/xulrunner >= 2.0 wrt #359879 by Justin Lecher.
278
279 21 Mar 2011; Nirbheek Chauhan <nirbheek@gentoo.org> libproxy-0.4.6.ebuild:
280 Fix slot-deps on gnome libs
281
282 07 Mar 2011; Pacho Ramos <pacho@gentoo.org> libproxy-0.4.6-r1.ebuild:
283 Looks to work with vala:0.10 as-is. Pin deps to appropriate slots.
284
285 20 Feb 2011; Raúl Porcel <armin76@gentoo.org> libproxy-0.4.6.ebuild:
286 ia64/sh stable wrt #343069
287
288 13 Feb 2011; Christian Faulhammer <fauli@gentoo.org>
289 libproxy-0.4.6.ebuild:
290 stable x86, bug 343069
291
292 09 Feb 2011; Michael Weber <xmw@gentoo.org> libproxy-0.4.6.ebuild:
293 arm/sparc stable wrt #343069
294
295 26 Dec 2010; Samuli Suominen <ssuominen@gentoo.org> libproxy-0.4.6.ebuild:
296 amd64 stable wrt #343069
297
298 22 Dec 2010; Tobias Klausmann <klausman@gentoo.org> libproxy-0.4.6.ebuild:
299 Stable on alpha, bug #343069
300
301 03 Nov 2010; Markos Chandras <hwoarang@gentoo.org> libproxy-0.4.6.ebuild:
302 Revert my commit
303
304 03 Nov 2010; Markos Chandras <hwoarang@gentoo.org> libproxy-0.4.6.ebuild:
305 Stable on amd64 wrt bug #343069
306
307 02 Nov 2010; Jeroen Roovers <jer@gentoo.org> libproxy-0.4.6.ebuild:
308 Stable for PPC (bug #343069).
309
310 02 Nov 2010; Jeroen Roovers <jer@gentoo.org> libproxy-0.4.6.ebuild:
311 Stable for HPPA (bug #343069).
312
313 02 Nov 2010; Samuli Suominen <ssuominen@gentoo.org> libproxy-0.4.6.ebuild,
314 libproxy-0.4.6-r1.ebuild:
315 Rekeyword ~ppc because dev-lang/vala is now keyworded wrt #320429.
316
317 02 Nov 2010; Samuli Suominen <ssuominen@gentoo.org> libproxy-0.4.6.ebuild:
318 ppc64 stable wrt #343069
319
320 *libproxy-0.4.6-r1 (02 Nov 2010)
321
322 02 Nov 2010; Samuli Suominen <ssuominen@gentoo.org> libproxy-0.4.6.ebuild,
323 +libproxy-0.4.6-r1.ebuild:
324 Disable dev-lang/vala support because it's not ready to be stabilized wrt
325 #343737.
326
327 28 Oct 2010; Samuli Suominen <ssuominen@gentoo.org>
328 files/libproxy-0.4.6-mozjs-link_directory.patch:
329 Update to upstream patch wrt #339216 by Nicolas Dufresne.
330
331 30 Sep 2010; Samuli Suominen <ssuominen@gentoo.org> libproxy-0.4.6.ebuild,
332 +files/libproxy-0.4.6-mozjs-link_directory.patch:
333 Fix missing link directories for mozjs wrt #339216 by "DaggyStyle".
334
335 *libproxy-0.4.6 (29 Sep 2010)
336
337 29 Sep 2010; Pacho Ramos <pacho@gentoo.org> +libproxy-0.4.6.ebuild:
338 Version bump with a lot of bugfixes, minimum cmake required version is 2.6
339 now, drop 'debug' USE flag as there is no need now to filter Werror/Wall
340 CFLAGS, add dotnet support, build tests only when needed, fix
341 CFLAGS/CXXFLAGS/LDFLAGS parsing.
342
343 16 Aug 2010; Samuli Suominen <ssuominen@gentoo.org> libproxy-0.4.2.ebuild,
344 +files/libproxy-0.4.2-glibc212.patch:
345 Fix building with recent glibc wrt #332857 by f3d.
346
347 15 Jul 2010; Jeroen Roovers <jer@gentoo.org> libproxy-0.4.2.ebuild:
348 Marked ~hppa (bug #320429).
349
350 15 Jul 2010; Jeroen Roovers <jer@gentoo.org> libproxy-0.2.3-r3.ebuild:
351 Stable for HPPA (bug #314007).
352
353 06 Jul 2010; Samuli Suominen <ssuominen@gentoo.org> libproxy-0.4.2.ebuild:
354 Keyword ~ppc64 wrt #320429
355
356 29 Jun 2010; Robin H. Johnson <robbat2@gentoo.org> libproxy-0.4.2.ebuild,
357 +files/libproxy-0.4.2-mozjs-search-order.patch:
358 Minor patch to compile when both 1.8 and 1.9 slots of xulrunner are
359 present.
360
361 31 May 2010; Gilles Dartiguelongue <eva@gentoo.org> libproxy-0.4.2.ebuild:
362 Preserve old lib, bug #320511. Install perl binding in vendor directory,
363 bug #321807. Improve python binding handling, bug #315319.
364
365 23 May 2010; <nixnut@gentoo.org> libproxy-0.2.3-r3.ebuild:
366 ppc stable #314007
367
368 *libproxy-0.4.2 (21 May 2010)
369
370 21 May 2010; Olivier Crête <tester@gentoo.org> -libproxy-0.4.1.ebuild,
371 +libproxy-0.4.2.ebuild:
372 Version bump
373
374 *libproxy-0.4.1 (18 May 2010)
375
376 18 May 2010; Olivier Crête <tester@gentoo.org> +libproxy-0.4.1.ebuild,
377 metadata.xml:
378 Version bump, bug #318771, ebuild contributed by Nicolas Dufresne
379
380 11 May 2010; Brent Baude <ranger@gentoo.org> libproxy-0.2.3-r3.ebuild:
381 stable ppc64, bug 314007
382
383 08 May 2010; Raúl Porcel <armin76@gentoo.org> libproxy-0.2.3-r3.ebuild:
384 alpha/arm//ia64/sh/sparc stable wrt #314007
385
386 26 Apr 2010; Christian Faulhammer <fauli@gentoo.org>
387 libproxy-0.2.3-r3.ebuild:
388 stable x86, bug 314007
389
390 13 Apr 2010; Markos Chandras <hwoarang@gentoo.org>
391 libproxy-0.2.3-r3.ebuild:
392 Stable on amd64 wrt bug #314007
393
394 *libproxy-0.2.3-r3 (05 Mar 2010)
395
396 05 Mar 2010; Pacho Ramos <pacho@gentoo.org> +libproxy-0.2.3-r3.ebuild:
397 Drop seamonkey dependency due bug 300457 , thanks to Lars Wendler
398
399 31 Oct 2009; Brent Baude <ranger@gentoo.org> libproxy-0.2.3-r2.ebuild:
400 Marking libproxy-0.2.3-r2 ppc64 for bug 289419
401
402 23 Oct 2009; Jeroen Roovers <jer@gentoo.org> libproxy-0.2.3-r2.ebuild:
403 Stable for HPPA (bug #289419).
404
405 18 Oct 2009; Raúl Porcel <armin76@gentoo.org> libproxy-0.2.3-r2.ebuild:
406 arm/ia64/sh/sparc stable
407
408 02 Oct 2009; Mounir Lamouri <volkmar@gentoo.org> libproxy-0.2.3-r2.ebuild:
409 Stable for ppc, bug 271865
410
411 22 Sep 2009; Markus Meier <maekke@gentoo.org> libproxy-0.2.3-r2.ebuild:
412 amd64 stable, bug #285370
413
414 22 Sep 2009; Christian Faulhammer <fauli@gentoo.org>
415 libproxy-0.2.3-r2.ebuild:
416 stable x86, security bug 285370
417
418 29 Jun 2009; Mart Raudsepp <leio@gentoo.org>
419 -files/libproxy-0.2.3-fix-mozjs-cflags.patch:
420 Remove now redundant previously used mozjs patch
421
422 *libproxy-0.2.3-r2 (29 Jun 2009)
423
424 29 Jun 2009; Mart Raudsepp <leio@gentoo.org> -libproxy-0.2.3-r1.ebuild,
425 +libproxy-0.2.3-r2.ebuild,
426 +files/libproxy-0.2.3-fix-automagic-mozjs.patch:
427 Fix automagic mozilla-js provider picking, so that with USE=xulrunner
428 xulrunner-1.9 is always picked, and with USE="seamonkey -xulrunner"
429 seamonkey-js is always picked. Depend on a xulrunner:1.9 that has its
430 mozilla-js pkgconfig file usable for us while building to fix bug 275318
431 once and for all
432
433 25 Jun 2009; Romain Perier <mrpouet@gentoo.org>
434 files/libproxy-0.2.3-fix-mozjs-cflags.patch:
435 Fix bug #275318
436
437 24 Jun 2009; <nirbheek@gentoo.org> libproxy-0.2.3-r1.ebuild:
438 Re-add alpha stable, it was added as a mistake initially, but we're going
439 to need stable soon anyway. Re-add to reduce arch workload. (yes, possibly
440 bad, but blame armin76 if something breaks :p)
441
442 *libproxy-0.2.3-r1 (24 Jun 2009)
443
444 24 Jun 2009; <nirbheek@gentoo.org> +libproxy-0.2.3-r1.ebuild,
445 -files/libproxy-0.2.3-fix-libxul-cflags.patch,
446 +files/libproxy-0.2.3-fix-mozjs-cflags.patch:
447 Fix bug 275127 -- fix mozjs detection to work cleaner, and with seamonkey
448 too
449
450 20 May 2009; Brent Baude <ranger@gentoo.org> libproxy-0.2.3.ebuild:
451 Marking libproxy-0.2.3 ~ppc64 for bug 268529
452
453 20 May 2009; Brent Baude <ranger@gentoo.org> libproxy-0.2.3.ebuild:
454 Marking libproxy-0.2.3 ~ppc for bug 268529
455
456 17 May 2009; Raúl Porcel <armin76@gentoo.org> libproxy-0.2.3.ebuild:
457 Add ~arm/~ia64/~sh wrt #268529
458
459 15 May 2009; Tobias Klausmann <klausman@gentoo.org> libproxy-0.2.3.ebuild:
460 Stable on alpha, bug #269186
461
462 15 May 2009; Ferris McCormick <fmccor@gentoo.org> libproxy-0.2.3.ebuild:
463 Add ~sparc for testing, required by Bug #268529.
464
465 15 May 2009; Alexis Ballier <aballier@gentoo.org> libproxy-0.2.3.ebuild,
466 +files/libproxy-0.2.3-fbsd.patch,
467 files/libproxy-0.2.3-fix-as-needed-problem.patch:
468 Adjust dep on xulrunner as it requires 1.9, fix libdl linkage by using
469 portability eclass to link it only on linux, add a merge of various
470 upstream commits to build on BSD and be more POSIX compliant and
471 eventually keyword it ~x86-fbsd, bug #268529
472
473 14 May 2009; Gilles Dartiguelongue <eva@gentoo.org> libproxy-0.2.3.ebuild,
474 +files/libproxy-0.2.3-implicit-declaration.patch:
475 Include implicit declaration fix, bug #268546. Permutate files affected by
476 sed.
477
478 13 May 2009; Nirbheek Chauhan <nirbheek@gentoo.org> metadata.xml:
479 Add more specific descriptions for gnome, kde, webkit, and xulrunner
480 USE-flags
481
482 11 May 2009; Nirbheek Chauhan <nirbheek@gentoo.org> libproxy-0.2.3.ebuild:
483 Fix configure 'test' to follow POSIX (for BSD guys)
484
485 07 May 2009; Tobias Klausmann <klausman@gentoo.org> libproxy-0.2.3.ebuild:
486 Keyworded on alpha, bug #268529
487
488 06 May 2009; Jeroen Roovers <jer@gentoo.org> libproxy-0.2.3.ebuild:
489 Marked ~hppa (bug #268529).
490
491 *libproxy-0.2.3 (03 May 2009)
492
493 03 May 2009; Gilles Dartiguelongue <eva@gentoo.org>
494 +files/libproxy-0.2.3-fix-as-needed-problem.patch,
495 +files/libproxy-0.2.3-fix-dbus-includes.patch,
496 +files/libproxy-0.2.3-fix-libxul-cflags.patch,
497 +files/libproxy-0.2.3-fix-python-automagic.patch, +metadata.xml,
498 +libproxy-0.2.3.ebuild:
499 libproxy is a library for automatic proxy configuration management, initial
500 ebuild by nirbheek, closes bug #244028.

  ViewVC Help
Powered by ViewVC 1.1.20